Package rdkit :: Package ML :: Package DecTree :: Module TreeUtils

[hide private]
[frames] | no frames]

# Module TreeUtils

source code

    Utilities for working with trees

Functions | [hide private]

CollectLabelLevels(tree, levels, level=0, maxDepth=100000000.0) | source code

CollectDescriptorNames(tree, names, level=0, maxDepth=100000000.0) | source code

_test() | source code

Variables | [hide private]

| _test1 = ``'``\n>>> from DecTree import DecTreeNode as Node\n>>> t``...``
| __test__ = ``{``'``_test1``'``:` `'``\n>>> from DecTree import DecTreeNode a``...``
| __package__ = `None` hash(x)

Variables Details | [hide private]

### _test1

Value:

      '''
      >>> from DecTree import DecTreeNode as Node
      >>> t1 = Node(None,\'d1\',1)
      >>> t2 = Node(None,\'d2\',2)
      >>> t1.AddChildNode(t2)
      >>> t2 = Node(None,\'d3\',3)
      >>> t1.AddChildNode(t2)
      >>> t3 = Node(None,\'d4\',4)
      ...

### __test__

Value:

      {'_test1': '''
      >>> from DecTree import DecTreeNode as Node
      >>> t1 = Node(None,\'d1\',1)
      >>> t2 = Node(None,\'d2\',2)
      >>> t1.AddChildNode(t2)
      >>> t2 = Node(None,\'d3\',3)
      >>> t1.AddChildNode(t2)
      >>> t3 = Node(None,\'d4\',4)
      ...